PHPExcel_Style

# Class: PHPExcel_Style_Border

Source Location: /PHPExcel/Style/Border.php

### Class Overview

PHPExcel_Style_Border

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_IComparable

### Constants

- BORDER_DASHDOT
- BORDER_DASHDOTDOT
- BORDER_DASHED
- BORDER_DOTTED
- BORDER_DOUBLE
- BORDER_HAIR
- BORDER_MEDIUM
- BORDER_MEDIUMDASHDOT
- BORDER_MEDIUMDASHDOTDOT
- BORDER_MEDIUMDASHED
- BORDER_NONE
- BORDER_SLANTDASHDOT
- BORDER_THICK
- BORDER_THIN

### Methods

- applyFromArray
- bindParent
- __construct
- getActiveCell
- getActiveSheet
- getBorderStyle
- getColor
- getHashCode
- getIsSupervisor
- getSelectedCells
- getSharedComponent
- getStyleArray
- setBorderStyle
- setColor
- __clone

### Class Details

[line 36]
PHPExcel_Style_Border

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### method applyFromArray [line 280]

`PHPExcel_Style_Border applyFromArray( [array $pStyles = null])`

Apply styles from array

1. $objPHPExcel-> getActiveSheet ()->getStyle('B2')->getBorders()->getTop()-> applyFromArray (
2. array(
3. 'style' => PHPExcel_Style_Border ::BORDER_DASHDOT,
4. 'color' => array(
5. 'rgb' => '808080'
6. )
7. )
8. );

#### Tags:

throws: | Exception
access: | public

#### Parameters:

array | $pStyles | Array containing style information

[ Top ]

### method bindParent [line 120]

`PHPExcel_Style_Border bindParent( PHPExcel_Style_Borders $parent, string $parentPropertyName)`

Bind parent. Only used for supervisor

#### Tags:

access: | public

#### Parameters:

PHPExcel_Style_Borders | $parent |
string | $parentPropertyName |

[ Top ]

### constructor __construct [line 99]

`PHPExcel_Style_Border __construct( [boolean $isSupervisor = false], [boolean $isConditional = false])`

Create a new PHPExcel_Style_Border

#### Tags:

access: | public

#### Parameters:

boolean | $isSupervisor | Flag indicating if this is a supervisor or not Leave this value at default unless you understand exactly what its ramifications are
boolean | $isConditional | Flag indicating if this is a conditional style or not Leave this value at default unless you understand exactly what its ramifications are

[ Top ]

### method getActiveCell [line 205]

`string getActiveCell( )`

Get the currently active cell coordinate in currently active sheet.

Only used for supervisor

#### Tags:

return: | E.g. 'A1'
access: | public

[ Top ]

### method getActiveSheet [line 183]

`PHPExcel_Worksheet getActiveSheet( )`

Get the currently active sheet. Only used for supervisor

#### Tags:

access: | public

[ Top ]

### method getBorderStyle [line 303]

`string getBorderStyle( )`

Get Border style

#### Tags:

access: | public

[ Top ]

### method getColor [line 335]

`PHPExcel_Style_Color getColor( )`

Get Border Color

#### Tags:

access: | public

[ Top ]

### method getHashCode [line 364]

`string getHashCode( )`

Get hash code

#### Tags:

return: | Hash code
access: | public

[ Top ]

### method getIsSupervisor [line 132]

`boolean getIsSupervisor( )`

Is this a supervisor or a real style component?

#### Tags:

access: | public

[ Top ]

### method getSelectedCells [line 194]

`string getSelectedCells( )`

Get the currently active cell coordinate in currently active sheet.

Only used for supervisor

#### Tags:

return: | E.g. 'A1'
access: | public

[ Top ]

### method getSharedComponent [line 144]

`PHPExcel_Style_Border getSharedComponent( )`

Get the shared style component for the currently active cell in currently active sheet.

Only used for style supervisor

#### Tags:

throws: | Exception
access: | public

[ Top ]

### method getStyleArray [line 216]

`array getStyleArray( array $array)`

Build style array from subcomponents

#### Tags:

access: | public

#### Parameters:

array | $array |

[ Top ]

### method setBorderStyle [line 316]

`PHPExcel_Style_Border setBorderStyle( [string $pValue = PHPExcel_Style_Border::BORDER_NONE])`

Set Border style

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setColor [line 346]

`PHPExcel_Style_Border setColor( [PHPExcel_Style_Color $pValue = null])`

Set Border Color

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_Style_Color | $pValue |

[ Top ]

### method __clone [line 378]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

[ Top ]

### Class Constants

#### BORDER_DASHDOT = 'dashDot'

[line 40]

[ Top ]

#### BORDER_DASHDOTDOT = 'dashDotDot'

[line 41]

[ Top ]

#### BORDER_DASHED = 'dashed'

[line 42]

[ Top ]

#### BORDER_DOTTED = 'dotted'

[line 43]

[ Top ]

#### BORDER_DOUBLE = 'double'

[line 44]

[ Top ]

#### BORDER_HAIR = 'hair'

[line 45]

[ Top ]

#### BORDER_MEDIUM = 'medium'

[line 46]

[ Top ]

#### BORDER_MEDIUMDASHDOT = 'mediumDashDot'

[line 47]

[ Top ]

#### BORDER_MEDIUMDASHDOTDOT = 'mediumDashDotDot'

[line 48]

[ Top ]

#### BORDER_MEDIUMDASHED = 'mediumDashed'

[line 49]

[ Top ]

#### BORDER_NONE = 'none'

[line 39]

[ Top ]

#### BORDER_SLANTDASHDOT = 'slantDashDot'

[line 50]

[ Top ]

#### BORDER_THICK = 'thick'

[line 51]

[ Top ]

#### BORDER_THIN = 'thin'

[line 52]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:17 +0200 by phpDocumentor 1.4.4